OptArg
Date: 2011-06-15

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pawjaw.utils
Class OptArg

    java.lang.Object
      com.pawjaw.utils.OptArg

    public class OptArg

extends java.lang.Object

Nested Class Summary
`static class` | `OptArg.OptType`

Field Summary
`java.lang.Object` | `arg`
`java.lang.Object` | `data`
`java.lang.Object` | `default_value`
`java.lang.String` | `help`
`java.lang.String` | `long_opt`
`OptArg.OptType` | `opt_type`
`static java.util.Map<java.lang.String,OptArg>` | `optarg_flag`
`static java.util.Map<java.lang.Integer,java.util.List<OptArg>>` | `optargs_applies`
`java.lang.String` | `short_opt`

Constructor Summary
`OptArg(int applies, OptArg.OptType opt_type, java.lang.String short_opt, java.lang.String long_opt, java.lang.Object default_value, java.lang.String help)`
`OptArg(int applies, OptArg.OptType opt_type, java.lang.String short_opt, java.lang.String long_opt, java.lang.Object default_value, java.lang.String help, java.lang.Object[] possibleargs)`

Method Summary
`java.lang.Object` | `argOrDefault()`
`java.io.File` | `getFileToRead()`
`java.io.File` | `getFileToWrite()`
`java.lang.String` | `label()`
`java.lang.String` | `longHelp()`
`static java.util.List<OptArg>` | `parseArgs(java.lang.String[] args)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### optarg_flag

    public static java.util.Map<java.lang.String,OptArg> optarg_flag

### optargs_applies

    public static java.util.Map<java.lang.Integer,java.util.List<OptArg>> optargs_applies

### opt_type

    public OptArg.OptType opt_type

### short_opt

    public java.lang.String short_opt

### long_opt

    public java.lang.String long_opt

### help

    public java.lang.String help

### arg

    public java.lang.Object arg

### default_value

    public java.lang.Object default_value

### data

    public java.lang.Object data

Constructor Detail

### OptArg

    public OptArg(int applies,
                  OptArg.OptType opt_type,
                  java.lang.String short_opt,
                  java.lang.String long_opt,
                  java.lang.Object default_value,
                  java.lang.String help)

### OptArg

    public OptArg(int applies,
                  OptArg.OptType opt_type,
                  java.lang.String short_opt,
                  java.lang.String long_opt,
                  java.lang.Object default_value,
                  java.lang.String help,
                  java.lang.Object[] possibleargs)

Method Detail

### parseArgs

    public static java.util.List<OptArg> parseArgs(java.lang.String[] args)
                                            throws OptArgException

  Throws:
    `OptArgException`

### label

    public java.lang.String label()

### argOrDefault

    public java.lang.Object argOrDefault()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### longHelp

    public java.lang.String longHelp()

### getFileToRead

    public java.io.File getFileToRead()
                               throws OptArgException

  Throws:
    `OptArgException`

### getFileToWrite

    public java.io.File getFileToWrite()
                                throws OptArgException

  Throws:
    `OptArgException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD